Results 1 to 2 of 2

Thread: Trouble with apt-get update.

  1. #1
    Member registered user
    Join Date
    Jul 2003
    Posts
    30

    Trouble with apt-get update.

    I just got a new motheboard and had to do a reinstall of Knoppix. The version that I am using is 3.7. When I then issue "apt-get update', I get many messages of the ilk:

    Err http://ftp.de.debian.org unstable/non-US/non-free Packages
    404 Not Found
    Ign http://ftp.de.debian.org unstable/non-US/non-free Release

    In fact, I get this sort of message for the unstable/non-US entries and testing/non-US. Also this happens for several mirrors nand not just ftp.de.debian.org.

    I have been trying for about 24 hours. The seems to leave me unable to update or install anything. Can you tell me what I am doing wrong.

    Thanks in Advance

  2. #2
    Senior Member registered user
    Join Date
    Mar 2003
    Location
    Portland, OR USA
    Posts
    568
    The "unstable/non-US" and "testing/non-US" Debian repositories are now gone (evidently, changes to US law no longer requires that certain cryptographic software be only downloaded from overseas). You can delete them from /etc/apt/sources.list and then do another "apt-get update".

    For more information, see this post and this post on the Kanotix board.

Similar Threads

  1. Update kernel / update knoppix HDD
    By 105547111 in forum General Support
    Replies: 0
    Last Post: 05-17-2007, 05:40 AM
  2. apt-get update
    By REDWIND in forum Hdd Install / Debian / Apt
    Replies: 2
    Last Post: 04-04-2007, 03:36 PM
  3. Sound Trouble + Modem Trouble on Knoppix 4.0
    By AJones in forum General Support
    Replies: 1
    Last Post: 01-05-2007, 07:26 PM
  4. Update of nvu.cmg
    By drb in forum Klik
    Replies: 7
    Last Post: 10-22-2005, 09:18 AM
  5. Update`ing KDE
    By Joutei in forum General Support
    Replies: 1
    Last Post: 05-05-2003, 09:15 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •